CHCPU(8)

NOM
chcpu - Configurer les processeurs

SYNOPSIS
chcpu -c|-d|-e|-g liste
chcpu -p mode
chcpu -r|-h|-V

DESCRIPTION
chcpu peut modifier l’état des processeurs. Il peut activer ou désactiver des processeurs, rechercher de nouveaux processeurs, modifier le mode distribué de l’hyperviseur sous-jacent et demander (configurer) ou rendre (déconfigurer) des processeurs à l’hyperviseur.

Certaines options ont un argument liste. Utilisez cet argument pour indiquer une liste de processeurs séparés par des virgules. La liste peut contenir des adresses de processeur individuel ou des intervalles d’adresses. Par exemple, 0,5,7,9-11 rend la commande applicable aux processeurs aux adresses 0, 5, 7, 9, 10 et 11.

OPTIONS

-c, --configure liste
    Configurer les processeurs indiqués. La configuration d’un processeur signifie que l’hyperviseur prend un processeur disponible et l’assigne au matériel virtuel sur lequel le noyau est exécuté.

-d, --disable liste
    Désactiver les processeurs indiqués. La désactivation d’un processeur signifie que le noyau le définit hors ligne.

-e, --enable liste
    Activer les processeurs indiqués. L’activation d’un processeur signifie que le noyau le définit en ligne. Un processeur doit être configuré, consultez -c, avant de pouvoir être activé.

-g, --deconfigure liste
    Déconfigurer les processeurs indiqués. La déconfiguration d’un processeur signifie que l’hyperviseur supprime le processeur du matériel virtuel sur lequel l’instance Linux est exécutée et rend le processeur. Un processeur doit être hors ligne, consultez -d, avant de pouvoir être déconfiguré

-p, --dispatch mode
    Définir le mode distribué du processeur (polarisation). Cette option n’a d’effet que si l’architecture matérielle et l’hyperviseur permettent la polarisation processeur. Les modes disponibles sont les suivants.

    horizontal
        La charge est partagée entre tous les processeurs disponibles.
    vertical
        La charge est concentrée sur peu de processeurs.

-r, --rescan
    Déclencher une recherche des processeurs. Après une recherche, le noyau Linux reconnaît les nouveaux processeurs. Utilisez cette option sur les systèmes qui ne détectent pas automatiquement les processeurs nouvellement attachés.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

CODES DE RETOUR
chcpu peut renvoyer les codes de retour suivants :

0   réussite

1   échec

64  réussite partielle

AUTEUR
Heiko Carstens (heiko.carstens@de.ibm.com)

COPYRIGHT
Copyright IBM Corp. 2011

VOIR AUSSI
lscpu(1)

DISPONIBILITÉ
La commande chcpu fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.